Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 588442 - Review Request: rubygem-heckle - unit test sadism(tm) at it's core
Review Request: rubygem-heckle - unit test sadism(tm) at it's core
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-03 14:06 EDT by Adam Young
Modified: 2010-12-01 13:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-18 09:51:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Young 2010-05-03 14:06:55 EDT
Spec URL: http://github.com/admiyo/MySpecs/blob/master/rubygem-heckle.spec
SRPM URL: http://admiyo.fedorapeople.org/buildr-repo/rubygem-heckle-1.4.3-1.young.src.rpm
Description: Heckle is unit test sadism(tm) at it's core. Heckle is a mutation tester. It modifies your code and runs your tests to make sure they fail. The idea is that if code can be changed and your tests don't notice, either that code isn't being covered or it doesn't do anything. It's like hiring a white-hat hacker to try to break into your server and making sure you detect it. You learn the most by trying to break things and watching the outcome in an act of unit test sadism.
Comment 1 Michael Stahnke 2010-08-29 22:54:00 EDT
warning: File listed twice: /usr/share/doc/usr/lib/ruby/gems/1.8-1.4.3
warning: File listed twice: /usr/share/doc/usr/lib/ruby/gems/1.8-1.4.3/History.txt
warning: File listed twice: /usr/share/doc/usr/lib/ruby/gems/1.8-1.4.3/Manifest.txt
warning: File listed twice: /usr/share/doc/usr/lib/ruby/gems/1.8-1.4.3/README.txt

 rpmlint rubygem-heckle-1.4.3-1.fc15.src.rpm 
rubygem-heckle.src: W: patch-not-applied Patch0: heckle-local.patch

rpmlint rubygem-heckle-1.4.3-1.fc15.noarch.rpm 
rubygem-heckle.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/heckle-1.4.3/lib/test_unit_heckler.rb 0444L /usr/bin/env
rubygem-heckle.noarch: E: non-standard-executable-perm /usr/lib/ruby/gems/1.8/gems/heckle-1.4.3/bin/heckle 0555L
rubygem-heckle.noarch: W: hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/heckle-1.4.3/.autotest
rubygem-heckle.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/heckle-1.4.3/sample/test/test_heckled.rb 0444L /usr/bin/env

Again, ruby_sitelib macro isn't used.  Remove that line.

No need for the /usr/share/doc setup again.  Please remove, if you do, the Rakefile will work for rake test in %check.  You will also need to add a BR on parse tree for the check.

Rather than patching, you could simply run sed to modify the path for ruby.
Comment 2 Jesus M. Rodriguez 2010-11-18 09:51:22 EST
This initially started as a dependency for rubygem-buildr. It is no longer
needed for that. We can cancel this review.

Note You need to log in before you can comment on or make changes to this bug.